#include <Servo.h>

#define TOUCH_SENSOR_1 D0  // Touch sensor 1 at D0 (Servo control)
#define TOUCH_SENSOR_2 D2  // Touch sensor 2 at D2 (LED control)
#define SERVO_PIN D3       // Servo motor at D3
#define LED_PIN D10        // LED at D10

Servo myServo;

void setup() {
  Serial.begin(115200);  // Start Serial Monitor
  
  myServo.attach(SERVO_PIN);  // Attach the servo to pin D3
  myServo.write(0);  // Start at 0°
  
  pinMode(LED_PIN, OUTPUT);  // Set LED pin as output
  digitalWrite(LED_PIN, LOW);  // Turn off LED initially
}

void loop() {
  int touchValue1 = analogRead(TOUCH_SENSOR_1);  // Read first touch sensor
  int touchValue2 = analogRead(TOUCH_SENSOR_2);  // Read second touch sensor

  Serial.print("Touch Sensor 1: ");
  Serial.print(touchValue1);
  Serial.print(" | Touch Sensor 2: ");
  Serial.println(touchValue2);

  // If first sensor is touched, rotate servo
  if (touchValue1 > 600) {  // Adjust threshold as needed
    Serial.println("Touch detected on Sensor 1! Rotating Servo...");
    myServo.write(180);  // Move to 180°
    delay(3000);         // Wait for 3 seconds
    myServo.write(0);    // Move back to 0°
    Serial.println("Returning to 0°");
  }

  // If second sensor is touched, blink LED
  if (touchValue2 > 600) {  // Adjust threshold as needed
    Serial.println("Touch detected on Sensor 2! Blinking LED...");
    digitalWrite(LED_PIN, HIGH);  // Turn LED ON
    delay(500);
    digitalWrite(LED_PIN, LOW);   // Turn LED OFF
    delay(500);
  }

  delay(300);  // Small delay to avoid flooding Serial Monitor
}

